MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000698XdebugUsage problems (Wrong Results)public2011-06-15 16:322011-09-19 22:30
Reporterdarrenoh 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSLinuxOS Version2.6.31
Product Version2.1.0 
Target VersionFixed in Version 
Summary0000698: xdebug.remote_connect_back in .htaccess has no effect
Descriptionxdebug.remote_connect_back in .htaccess has no effect. If there is a restriction on where this may be set, it would be nice to have it documented. Restrictions on core PHP configuration settings are documented here: http://www.php.net/manual/en/configuration.changes.modes.php [^]
Steps To Reproduce1. Add “php_flag xdebug.remote_enable on” and “php_flag xdebug.remote_connect_back on” to .htaccess.
2. Check configuration using phpinfo().
TagsNo tags attached.
Operating SystemLinux devphp1 2.6.31-23-server 0000074-Ubuntu SMP Mon Feb 28 22:32:34 UTC 2011 x86_64
PHP Version5.2.10
Attached Files

- Relationships

-  Notes
(0001754)
derick (administrator)
2011-06-18 10:38

Hi!

It's indeed not supposed to work because of security issues really. But yes, it should be documented. Right now, you can easily see the various restrictions here:
http://svn.xdebug.org/cgi-bin/viewvc.cgi/xdebug/trunk/xdebug.c?annotate=3442&root=xdebug#l238 [^]
or with "php --re xdebug | grep Entry" on the command line.

Derick
(0001804)
derick (administrator)
2011-09-19 22:30

Changed my mind, and fixed this for Xdebug 2.1.3 and 2.2dev. You can now set it in .htaccess too.

- Issue History
Date Modified Username Field Change
2011-06-15 16:32 darrenoh New Issue
2011-06-18 10:38 derick Note Added: 0001754
2011-09-19 22:30 derick Note Added: 0001804
2011-09-19 22:30 derick Status new => closed
2011-09-19 22:30 derick Assigned To => derick
2011-09-19 22:30 derick Resolution open => fixed
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker